plugins {
    id 'java'
    id 'org.springframework.boot' version '3.4.0'
    id 'io.spring.dependency-management' version '1.1.6'
    id 'org.hibernate.orm' version '6.6.2.Final'
}

dependencies {
    implementation project(':business-common')
    implementation project(':business-domain')

    // 1. Use Guava in your implementation only:
    implementation("com.google.guava:guava:${gvavaVersion}")

    implementation 'com.alibaba:druid-spring-boot-starter:1.2.23'
    implementation 'org.springframework.boot:spring-boot-starter-amqp'
    implementation 'org.springframework.boot:spring-boot-starter-data-redis'
    implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'io.nats:jnats:2.16.14'
}